Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class AbstractRequester

    java.lang.Object
      |
      +--jreqtools.AbstractRequester

Direct Known Subclasses:
  ColorRequester, FileRequester2, FontRequester, LoginRequester, LookAndFeelRequester, PasswordRequester, ProgressTracker, SelectRequester, StringRequester, TextRequester

public abstract class AbstractRequester
extends java.lang.Object

This is the abstract base class for all requesters.

Author:
  Markus Hillenbrand

Field Summary
`static int` | `CANCEL`
`protected java.awt.event.ActionListener` | `listener`
`static int` | `OK`

Constructor Summary
`AbstractRequester()`

Method Summary
`void` | `addHelpButton(java.awt.event.ActionListener l)`
`protected void` | `addHelpButton(java.awt.Container container)`
`protected abstract javax.swing.JDialog` | `createJDialog(javax.swing.JFrame parent)`
`java.awt.Point` | `getLocation()`
`protected abstract int` | `getReturnValue()`
`java.awt.Dimension` | `getSize()`
`int` | `request()`
`int` | `request(javax.swing.JFrame parent)`
`void` | `setLocation(int x, int y)`
`void` | `setLocation(java.awt.Point newlocation)`
`void` | `setParentComponent(javax.swing.JComponent c)`
`void` | `setSize(java.awt.Dimension newsize)`
`void` | `setSize(int width, int height)`
`void` | `setTitle(java.lang.String newtitle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CANCEL

    public static final int CANCEL

### OK

    public static final int OK

### listener

    protected java.awt.event.ActionListener listener

Constructor Detail

### AbstractRequester

    public AbstractRequester()

Method Detail

### addHelpButton

    public void addHelpButton(java.awt.event.ActionListener l)

### addHelpButton

    protected void addHelpButton(java.awt.Container container)

### createJDialog

    protected abstract javax.swing.JDialog createJDialog(javax.swing.JFrame parent)

### getLocation

    public java.awt.Point getLocation()

### getReturnValue

    protected abstract int getReturnValue()

### getSize

    public java.awt.Dimension getSize()

### request

    public int request()

### request

    public int request(javax.swing.JFrame parent)

### setLocation

    public void setLocation(java.awt.Point newlocation)

### setLocation

    public void setLocation(int x,
                            int y)

### setParentComponent

    public void setParentComponent(javax.swing.JComponent c)

### setSize

    public void setSize(java.awt.Dimension newsize)

### setSize

    public void setSize(int width,
                        int height)

### setTitle

    public void setTitle(java.lang.String newtitle)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD